-- Options are automatically loaded before lazy.nvim startup
-- Default options that are always set: https://github.com/LazyVim/LazyVim/blob/main/lua/lazyvim/config/options.lua
-- Add any additional options here

-- Disable relative line numbers
vim.o.relativenumber = false

-- Change the default font
-- Some of my machines have HDR displayed, meaning they need a smaller font size
if vim.fn.hostname() == "enoko" then
  vim.o.guifont = "JetBrains Mono:h12"
else
  vim.o.guifont = "JetBrains Mono:h14"
end

if vim.g.neovide then
  -- Reduce neovide scroll animation length
  vim.g.neovide_scroll_animation_length = 0.1
end
